/************************************************************************/
/*																		*/
/*	util.h -- Common Utility Procedures                                 */
/*																		*/
/************************************************************************/
/*	Author: Michael Alexander											*/
/*	Copyright 2008, Digilent Inc.										*/
/************************************************************************/
/*  Module Description: 												*/
/*																		*/
/*	This header contains declarations for common utility functions.     */
/*																		*/
/************************************************************************/
/*  Revision History:						                			*/
/*											                        	*/
/*	06/30/2008 (MichaelA): created			                			*/
/*  08/14/2008 (MichaelA): added DelayUs routine                        */
/*	10/22/2009 (MarkT):    removed unnecessary #includes statements		*/
/*											                        	*/
/************************************************************************/

#if !defined(_UTIL_INC)
#define	_UTIL_INC



/* ------------------------------------------------------------ */
/*				    	Macro Declarations			    		*/
/* ------------------------------------------------------------ */

#if F_CPU == 8000000

    #define DelayUs1()  asm volatile("nop");\
                        asm volatile("nop");\
                        asm volatile("nop");\
                        asm volatile("nop");\
                        asm volatile("nop");\
                        asm volatile("nop");\
                        asm volatile("nop");\
                        asm volatile("nop")

    #define DelayUs05() asm volatile("nop");\
                        asm volatile("nop");\
                        asm volatile("nop");\
                        asm volatile("nop")

#elif F_CPU == 1000000

    #define DelayUs1()  asm volatile("nop")

#endif

/* ------------------------------------------------------------ */
/*					General Type Declarations					*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Object Class Declarations					*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Variable Declarations						*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */

void DelayMs( WORD wDelayMs );

void DelayUs( BYTE bDelayUs );

/* ------------------------------------------------------------ */


#endif
